%define module_name abituguru

Name:		dkms-%{module_name}
Version:	1.1.12
Release:	%mkrel 5
Epoch:		0
Summary:	Abit uguru driver
License:	GPL
URL:		http://people.atrpms.net/~hdegoede/
Source0:	%{module_name}-%{version}.tar.bz2
Group:		System/Kernel and hardware
Requires(post): coreutils
Requires(post):	dkms
Requires(preun): dkms
Requires(post): lm_sensors
Requires:	kernel >= 0:2.6.14
Provides:	%{module_name} = %{epoch}:%{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Exclusivearch:	%{ix86} x86_64

%description
This driver supports the sensor part of the custom Abit uGuru chip found
on Abit uGuru motherboards. Currently it has been tested on an Abit KV8
Pro, AV8, AX8 and AN8-SLI. The openguru program this driver is based on
has also been successfully tested on: Abit AV8 3rd Eye, AN8 Ultra and AN7.

%prep
%setup -q -n %{module_name}-%{version}
# Workaround---change from 125 to 500
%{__perl} -pi -e 's|^#define ABIT_UGURU_WAIT_TIMEOUT\s+\d+$|#define ABIT_UGURU_WAIT_TIMEOUT 500|' %{module_name}.c

%build

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_usrsrc}/%{module_name}-%{version}-%{release}
%{__cp} -a * %{buildroot}%{_usrsrc}/%{module_name}-%{version}-%{release}
%{__cat} > %{buildroot}%{_usrsrc}/%{module_name}-%{version}-%{release}/dkms.conf << EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module_name}"

MAKE[0]="make"

BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/hwmon"

AUTOINSTALL="yes"

EOF

%{__cat} > README.urpmi << EOF
You must edit %{_sysconfdir}/sensors.conf to suit your motherboard.

If you want CPU scaling support, you should load the correct driver, i.e.,
powernow-k8 in %{_sysconfdir}/modprobe.preload.
EOF

%clean
%{__rm} -rf %{buildroot}

%post
%{_sbindir}/dkms add -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms build -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms install -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
/sbin/rmmod %{module_name} > /dev/null 2>&1
/sbin/modprobe %{module_name}
if [ ! -f %{_sysconfdir}/sysconfig/lm_sensors ] || [ ! %{__grep} -q 'MODULE_[0-9]+=abituguru' %{_sysconfdir}/sysconfig/lm_sensors ]; then
  %{__cat} > %{_sysconfdir}/sysconfig/lm_sensors << EOF
# Added on `date` by %{name}-%{version}-%{release}
MODULE_0=hwmon
MODULE_1=abituguru
EOF
fi

%preun
%{__rm} -f %{_sysconfdir}/sysconfig/lm_sensors
%{_sbindir}/dkms remove -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade --all || :

%files
%doc abituguru-datasheet.txt ChangeLog COPYING lm_sensors*.patch README README.urpmi sysfs-interface.txt
%defattr(0644,root,root,0755)
%{_usrsrc}/%{module_name}-%{version}-%{release}



%changelog
* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.1.12-5mdv2008.0
+ Revision: 94435
- update to new version

* Tue Aug 28 2007 David Walluck <walluck@mandriva.org> 0:1.1.12-4mdv2008.0
+ Revision: 72502
- rebuild


* Sun Aug 27 2006 David Walluck <walluck@mandriva.org> 0:1.1.12-3mdv2007.0
- fix overzealous perl replace

* Sun Aug 27 2006 David Walluck <walluck@mandriva.org> 0:1.1.12-2mdv2007.0
- Requires(post): coreutils

* Sun Aug 27 2006 David Walluck <walluck@mandriva.org> 0:1.1.12-1mdv2007.0
- 1.1.12
- clean %%{buildroot} in %%install
- handle %%{_sysconfdir}/sysconfig/lm_sensors in %%post a bit better

* Fri Jun 09 2006 Lenny Cartier <lenny@mandriva.com> 0:1.1.7-2mdv2007.0
- rebuild

* Mon May 22 2006 David Walluck <walluck@mandriva.org> 0:1.1.7-1mdk
- 1.1.7
- change %%defattr
- use %%{release} in path

* Mon Mar 27 2006 David Walluck <walluck@mandriva.org> 0:1.1.6-2mdk
- rebuild

* Mon Mar 27 2006 David Walluck <walluck@mandriva.org> 0:1.1.6-1mdk
- 1.1.6

* Fri Mar 10 2006 David Walluck <walluck@mandriva.org> 0:1.1.5-1mdk
- 1.1.5

* Sat Dec 31 2005 David Walluck <walluck@mandriva.org> 0:1.1.1-1mdk
- release

